#include ONCE "window9.bi"

function GetToolBarTextButton ( iHwndToolBar As Integer ,  IDButton as Integer) as string export
	
	dim as ListT ptr pTemp = pGlobalTypeWindow9->ListToolBar->firstnode
	
	dim as Any ptr iButton
	
	while pTemp
		
		if pTemp->anyOneData = IDButton then
			
			iButton = cast(any ptr,pTemp->anyTwoData)
			
			exit while
			
		EndIf
		
		pTemp = pTemp->nextNode
		
	Wend	
	
	if iButton = 0 then return ""
	
	return *gtk_tool_button_get_label(cast(any ptr,iButton))	
	
End Function